Skip to main content
GET
/
api
/
v2
/
network
/
commission-plan
/
{id}
Get commission plan details
curl --request GET \
  --url 'https://{domain}/api/v2/network/commission-plan/{id}?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "commission_plan": {
      "currency": "<string>",
      "traffic_source": [
        {
          "id": 123,
          "title": "<string>"
        }
      ],
      "traffic_approaches": [
        {
          "id": 123,
          "title": "<string>"
        }
      ],
      "assigned_to": [
        {
          "id": 123,
          "name": "<string>"
        }
      ],
      "rev_share": {
        "enabled": true,
        "type": 123,
        "commission": {},
        "qualifications": [
          {}
        ],
        "based_on": 123,
        "negative_carryover": 123,
        "high_roller_policy_enabled": true,
        "high_roller_policy_metric_type": 123,
        "high_roller_policy_winbin_threshold": 123,
        "custom_fee_config": {
          "enabled": true,
          "products": [
            {
              "fee": 123,
              "products": [
                123
              ]
            }
          ]
        }
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

id
integer
required

Commission plan ID.

Response

Commission plan details.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object